﻿using System;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication80;
using SyncfusionMvcApplication80.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using System.Collections;
using Syncfusion.JavaScript.Shared.Serializer;
using System.Web.Script.Serialization;
using Syncfusion.JavaScript.Models;
using System.Reflection;
using MVCSampleBrowser.Models;
namespace SyncfusionMvcApplication80.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            return View();
        }

        public ActionResult DataSource(DataManager dm)
      {
          IEnumerable Data = OrderRepository.GetAllRecords().ToList();

            Syncfusion.JavaScript.DataSources.DataOperations operation = new Syncfusion.JavaScript.DataSources.DataOperations();
           
            int count = Data.AsQueryable().Count();
            if (dm.Skip != 0)
            {
                Data = operation.PerformSkip(Data, dm.Skip);
            }
            if (dm.Take != 0)
            {
                Data = operation.PerformTake(Data, dm.Take);
            }
           return Json(Data, JsonRequestBehavior.AllowGet);
        }
       
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }
       

    }
}
